summaryrefslogtreecommitdiff
path: root/support-files
diff options
context:
space:
mode:
authorJoerg Bruehe <joerg@mysql.com>2010-04-18 15:32:05 +0200
committerJoerg Bruehe <joerg@mysql.com>2010-04-18 15:32:05 +0200
commit4b68b2d289ab338d5bd9c6f15d64e31a1d4be0dc (patch)
treec875ec9df2c1c5133605fe134c52fdb4dc1c30b9 /support-files
parent091745c8a571e36a0bc4bb1f2230ef2aa81c00a7 (diff)
parentc62d8e5cb5ae57cedd08f761e99cab0e98f8496a (diff)
downloadmariadb-git-4b68b2d289ab338d5bd9c6f15d64e31a1d4be0dc.tar.gz
Merge the changes of the 5.5.3-m3 release build
back into the development branches.
Diffstat (limited to 'support-files')
-rw-r--r--support-files/mysql.spec.sh29
1 files changed, 19 insertions, 10 deletions
diff --git a/support-files/mysql.spec.sh b/support-files/mysql.spec.sh
index d7c750b81a6..ed0015c436f 100644
--- a/support-files/mysql.spec.sh
+++ b/support-files/mysql.spec.sh
@@ -430,6 +430,7 @@ sh -c "PATH=\"${MYSQL_BUILD_PATH:-$PATH}\" \
--with-plugin-archive \
--with-plugin-blackhole \
--with-plugin-federated \
+ --with-perfschema \
--without-plugin-daemon_example \
--without-plugin-ftexample \
%if %{EMBEDDED_BUILD}
@@ -565,10 +566,10 @@ install -d $RBR%{_sbindir}
mkdir $RBR/tmp-debug-plugin $MBD/plugin/debug
( cd $RPM_BUILD_DIR/mysql-%{mysql_version}/mysql-debug-%{mysql_version}/plugin
make install DESTDIR=$RBR/tmp-debug-plugin
- mv $RBR/tmp-debug-plugin/usr/local/mysql/lib/mysql/plugin/* $MBD/plugin/debug/
+ mv $RBR/tmp-debug-plugin/usr/lib*/mysql/plugin/* $MBD/plugin/debug/
# From here, the install hook in "plugin/Makefile.am" will do the rest.
)
-rmdir -p $RBR/tmp-debug-plugin/usr/local/mysql/lib/mysql/plugin
+rmdir -p $RBR/tmp-debug-plugin/usr/lib*/mysql/plugin || true
# Install all binaries
(cd $MBD && make install DESTDIR=$RBR testroot=%{_datadir})
@@ -605,8 +606,8 @@ ln -s %{_sysconfdir}/init.d/mysql $RBR%{_sbindir}/rcmysql
touch $RBR%{_sysconfdir}/my.cnf
%if %{WITH_TCMALLOC}
-# Even though this is a shared library, put it under /usr/lib/mysql, so it
-# doesn't conflict with possible shared lib by the same name in /usr/lib. See
+# Even though this is a shared library, put it under /usr/lib*/mysql, so it
+# doesn't conflict with possible shared lib by the same name in /usr/lib*. See
# `mysql_config --variable=pkglibdir` and mysqld_safe for how this is used.
install -m 644 "%{malloc_lib_source}" "$RBR%{_libdir}/mysql/%{malloc_lib_target}"
%endif
@@ -873,10 +874,8 @@ fi
%attr(755, root, root) %{_sbindir}/mysqld
%attr(755, root, root) %{_sbindir}/mysqld-debug
%attr(755, root, root) %{_sbindir}/rcmysql
-%attr(755, root, root) %{_libdir}/mysql/plugin/ha_example.so*
%attr(755, root, root) %{_libdir}/mysql/plugin/semisync_master.so*
%attr(755, root, root) %{_libdir}/mysql/plugin/semisync_slave.so*
-%attr(755, root, root) %{_libdir}/mysql/plugin/debug/ha_example.so*
%attr(755, root, root) %{_libdir}/mysql/plugin/debug/semisync_master.so*
%attr(755, root, root) %{_libdir}/mysql/plugin/debug/semisync_slave.so*
@@ -1007,14 +1006,10 @@ fi
%{_libdir}/mysql/libvio.a
%{_libdir}/mysql/libz.a
%{_libdir}/mysql/libz.la
-%{_libdir}/mysql/plugin/ha_example.a
-%{_libdir}/mysql/plugin/ha_example.la
%{_libdir}/mysql/plugin/semisync_master.a
%{_libdir}/mysql/plugin/semisync_master.la
%{_libdir}/mysql/plugin/semisync_slave.a
%{_libdir}/mysql/plugin/semisync_slave.la
-%{_libdir}/mysql/plugin/debug/ha_example.a
-%{_libdir}/mysql/plugin/debug/ha_example.la
%{_libdir}/mysql/plugin/debug/semisync_master.a
%{_libdir}/mysql/plugin/debug/semisync_master.la
%{_libdir}/mysql/plugin/debug/semisync_slave.a
@@ -1054,6 +1049,20 @@ fi
# merging BK trees)
##############################################################################
%changelog
+* Wed Mar 24 2010 Joerg Bruehe <joerg.bruehe@sun.com>
+
+- Add "--with-perfschema" to the configure options.
+
+* Mon Mar 22 2010 Joerg Bruehe <joerg.bruehe@sun.com>
+
+- User "usr/lib*" to allow for both "usr/lib" and "usr/lib64",
+ mask "rmdir" return code 1.
+- Remove "ha_example.*" files from the list, they aren't built.
+
+* Wed Mar 17 2010 Joerg Bruehe <joerg.bruehe@sun.com>
+
+- Fix a wrong path name in handling the debug plugins.
+
* Wed Mar 10 2010 Joerg Bruehe <joerg.bruehe@sun.com>
- Take the result of the debug plugin build and put it into the optimized tree,